## ytree 1.65

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 #
-# $Header: /home/werner/ytree/RCS/Makefile,v 1.16 1998/07/26 21:21:13 werner Rel $
+# $Header: /home/werner/ytree/RCS/Makefile,v 1.18 1998/11/11 19:07:30 werner Exp $
 #
 # Makefile fuer ytree
 #
@@ -12,7 +12,7 @@
 # ADD_CFLAGS: Add -DVI_KEYS if you want vi-cursor-keys
 #
 
-ADD_CFLAGS  =  -O # -DVI_KEYS
+ADD_CFLAGS  = -O # -DVI_KEYS
 
 LFLAGS	    = -s
 BINDIR      = /usr/bin
@@ -39,12 +39,17 @@
 #LIBS       = -lcurses -ltermcap
 
 ###########################
-# FreeBSD with ncurses  (Thanks to Peter Brevik)
-###########################
-#ADD_INCLUDE = /usr/include/ncurses
-#ADD_LIB     = /usr/lib
-#CFLAGS      = -I$(ADD_INCLUDE) -DNCURSES $(ADD_CFLAGS)
-#LIBS        = -L$(ADD_LIB) -lncurses -lmytinfo -lcompat
+# FreeBSD (Thanks to Peter Brevik)
+###########################
+#CFLAGS      = -DCOLOR_SUPPORT -DNCURSES
+#LIBS        = -lncurses -lmytinfo -lcompat
+
+###########################
+# DOS/Windows with DJGPP
+###########################
+#CC          = gcc
+#CFLAGS      = $(ADD_CFLAGS) -DCOLOR_SUPPORT
+#LIBS        = -lpdc -lpanel
 
 ###########################
 # NeXT (Thanks to fifi)
@@ -81,6 +86,13 @@
 ###########################
 #CFLAGS     = -Dhpux $(ADD_CFLAGS)
 #LIBS       = -lcurses  -lc -lPW
+#CC	    = cc -Ae
+
+###########################
+# HPUX-10.x
+###########################
+#CFLAGS     = -Dhpux $(ADD_CFLAGS)
+#LIBS       = -lcur_colr  -lc -lPW
 #CC	    = cc -Ae
 
 ###########################
@@ -153,8 +165,8 @@
 		rm -f $(MAIN)
 
 version:
-		ci -nytree-164PL0 -f -sRel -m"released as ytree-164PL0" *.c *.h Makefile *.1 \
-		COPYING THANKS ytree.conf README ytree-1.64.lsm CHANGES
+		ci -nytree-165PL0 -f -sRel -m"released as ytree-165PL0" *.c *.h Makefile *.1 \
+		COPYING THANKS ytree.conf README ytree-1.65.lsm CHANGES
 
 
 ##################################################
