## ytree 1.74

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 #
-# $Header: /home/werner/ytree/RCS/Makefile,v 1.18 1998/11/11 19:07:30 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.33 2001/06/15 16:36:36 werner Exp $
 #
 # Makefile fuer ytree
 #
@@ -12,31 +12,44 @@
 # ADD_CFLAGS: Add -DVI_KEYS if you want vi-cursor-keys
 #
 
+DESTDIR     = /usr
+
 ADD_CFLAGS  = -O # -DVI_KEYS
 
 LFLAGS	    = -s
-BINDIR      = /usr/bin
-MANDIR      = /usr/man/man1
-MANEXT      = 1
-
-
-# Uncomment the lines for your system
-
-###########################
-# LINUX with ncurses (testet with 4.1)
-###########################
-# If color doesn't work, comment out 
-# the following line and recompile
-COLOR       = -DCOLOR_SUPPORT
-#CLOCK	    = -DCLOCK_SUPPORT
+BINDIR      = $(DESTDIR)/bin
+MANDIR      = $(DESTDIR)/share/man/man1
+MANESDIR    = $(DESTDIR)/share/man/es/man1
+
+
+# Uncomment the lines for your system (default is linux)
+
+###########################
+# LINUX (testet with ncurses 5.2)
+###########################
+COLOR       = -DCOLOR_SUPPORT 
+#CLOCK	    = -DCLOCK_SUPPORT # Experimental!
 CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
 LIBS        = -lncurses
 
 ###########################
-# LINUX without ncurses
-###########################
-#CFLAGS     = -DTERMCAP $(ADD_CFLAGS)
-#LIBS       = -lcurses -ltermcap
+# LINUX (X11 using PDCurses) thanks to  Mark Hessling
+# see http://www.lightlink.com/hessling/
+###########################
+#COLOR       = -DCOLOR_SUPPORT -DXCURSES
+#CLOCK       = -DCLOCK_SUPPORT # Experimental!
+#CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
+#LIBS        = -lXCurses -L/usr/X11R6/lib -lXaw -lXmu -lXt -lX11 -lSM -lICE -lXext
+
+###########################
+# The Hurd (GNU) (testet with ncurses 5.0)
+###########################
+#COLOR       = -DCOLOR_SUPPORT
+##CLOCK      = -DCLOCK_SUPPORT # Experimental!
+#CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
+#LIBS        = -lncurses
+
+
 
 ###########################
 # FreeBSD (Thanks to Peter Brevik)
@@ -63,6 +76,15 @@
 #CFLAGS     = -DSVR3 $(ADD_CFLAGS)
 #LIBS       = -lcurses -lPW # -lc_s
 
+############################
+# SCO OpenServer "SCO_SV s90909 3.2 5.0.5 i386" (Thanks to BKS)
+############################
+#CFLAGS     = -DSVR3 $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(ADD_INCL)
+#LFLAGS     = -L/usr/local/bks-V3_SCO/ncurses-5.0-elf/lib -belf
+#ADD_INCL   = -I/usr/local/bks-V3_SCO/ncurses-5.0-elf/include
+#COLOR      = -DCOLOR_SUPPORT
+#LIBS       = -lncurses 
+
 ###########################
 # Interactive
 ###########################
@@ -122,6 +144,13 @@
 #LIBS       = -lcurses 
 
 ###########################
+# SUNOS 5.6 (gcc) Thanks to Fabiano Silos Reis
+###########################
+#CFLAGS     = $(ADD_CFLAGS) -Dsun56
+#CC	    = gcc -I/usr/include -L/usr/lib
+#LIBS       = -lcurses 
+
+###########################
 # IBM RS/6000 (Thanks to jum)
 ###########################
 #CFLAGS     = $(ADD_CFLAGS)
@@ -132,6 +161,14 @@
 ###########################
 #CFLAGS     = -Dultrix $(ADD_CFLAGS)
 #LIBS       = -lcursesX
+
+###########################
+# QNX (tested with ncurses 4.2)
+###########################
+#COLOR       = -DCOLOR_SUPPORT
+#CLOCK	    = -DCLOCK_SUPPORT # Experimental!
+#CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK) -DHAS_REGCOMP
+#LIBS        = -L/home/mhes/lib -lncurses
 
 
 ##############################################################################
@@ -142,8 +179,8 @@
 	  delete.o dirwin.o disp.o edit.o error.o execute.o filespec.o      \
 	  filewin.o freesp.o global.o group.o hex.o history.o init.o lha.o  \
 	  login.o main.o match.o mkdir.o mktime.o move.o passwd.o pipe.o    \
-	  print.o profile.o quit.o readtree.o rename.o rmdir.o rpm.o sort.o \
-	  stat.o system.o tar.o termcap.o util.o view.o zip.o zoo.o
+	  print.o profile.o quit.o rar.o readtree.o rename.o rmdir.o rpm.o  \
+	  sort.o stat.o system.o tar.o termcap.o usermode.o util.o view.o zip.o zoo.o
 
 #
 
@@ -151,22 +188,17 @@
 		$(CC) $(LFLAGS) -o $@ $(OBJS) $(LIBS)
 
 install:	$(MAIN)
-		cp $(MAIN) $(BINDIR)
-		cp ytree.1 $(MANDIR)/$(MAIN).$(MANEXT)
-		if ! [ -f $(HOME)/.ytree ]; \
-		then \
-		  cp ytree.conf $(HOME)/.ytree; \
-		fi
+		install $(MAIN) $(BINDIR)
+		gzip -9c ytree.1 > ytree.1.gz
+		if [ -d $(MANDIR) ]; then install -m 0644 ytree.1.gz  $(MANDIR)/; fi
+		gzip -9c ytree.1.es > ytree.1.es.gz
+		if [ -d $(MANESDIR) ]; then install -m 0644 ytree.1.es.gz $(MANESDIR)/; fi
 
 clean:
-		rm -f core *.o *~ *.orig *.bak
-
+		rm -f core *.o *~ *.orig *.bak 
+		
 clobber:	clean
-		rm -f $(MAIN)
-
-version:
-		ci -nytree-165PL0 -f -sRel -m"released as ytree-165PL0" *.c *.h Makefile *.1 \
-		COPYING THANKS ytree.conf README ytree-1.65.lsm CHANGES
+		rm -f $(MAIN) ytree.1.es.gz ytree.1.gz
 
 
 ##################################################
@@ -204,6 +236,7 @@
 print.o: ytree.h print.c config.h
 profile.o: config.h ytree.h profile.c
 quit.o: config.h ytree.h quit.c
+rar.o: config.h ytree.h rar.c
 readtree.o: config.h ytree.h readtree.c
 rename.o: config.h ytree.h rename.c
 rmdir.o: config.h ytree.h rmdir.c
@@ -213,6 +246,7 @@
 system.o: config.h ytree.h system.c
 tar.o: config.h ytree.h tar.c
 termcap.o: config.h ytree.h termcap.c
+usermode.o: config.h ytree.h usermode.c
 util.o: config.h ytree.h util.c
 view.o: config.h ytree.h view.c
 zip.o: config.h ytree.h zip.c
