## ytree 1.79

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 #
-# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.33 2001/06/15 16:36:36 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.36 2003/08/31 11:11:00 werner Exp $
 #
 # Makefile fuer ytree
 #
@@ -16,7 +16,7 @@
 
 ADD_CFLAGS  = -O # -DVI_KEYS
 
-LFLAGS	    = -s
+LFLAGS	    = 
 BINDIR      = $(DESTDIR)/bin
 MANDIR      = $(DESTDIR)/share/man/man1
 MANESDIR    = $(DESTDIR)/share/man/es/man1
@@ -26,11 +26,24 @@
 
 ###########################
 # LINUX (testet with ncurses 5.2)
+# Attention Slackware users: 
+#           Maybe you have to change the MANDIR to $(DESTDIR)/man/man1
 ###########################
 COLOR       = -DCOLOR_SUPPORT 
 #CLOCK	    = -DCLOCK_SUPPORT # Experimental!
-CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
-LIBS        = -lncurses
+READLINE    = -DREADLINE_SUPPORT
+CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(READLINE)
+LIBS        = -lncurses -lreadline
+
+###########################
+# LINUX without libreadline (testet with ncurses 5.2)
+# Attention Slackware users: 
+#           Maybe you have to change the MANDIR to $(DESTDIR)/man/man1
+###########################
+#COLOR       = -DCOLOR_SUPPORT 
+#CLOCK	     = -DCLOCK_SUPPORT # Experimental!
+#CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
+#LIBS        = -lncurses
 
 ###########################
 # LINUX (X11 using PDCurses) thanks to  Mark Hessling
@@ -49,6 +62,16 @@
 #CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
 #LIBS        = -lncurses
 
+###########################
+# OpenBSD 2.9 (not tested on earlier revisions)
+###########################
+#COLOR       = -DCOLOR_SUPPORT 
+#CLOCK	    = -DCLOCK_SUPPORT # Experimental!
+#CFLAGS      = -Dopenbsd=1 $(ADD_CFLAGS) $(COLOR) $(CLOCK)
+#LIBS        = -lcurses -lcompat
+#MANDIR = /usr/share/man/man1
+#MANESDIR = /nonexistent
+#BINDIR = /usr/local/bin
 
 
 ###########################
@@ -177,10 +200,10 @@
 MAIN    = ytree
 OBJS	= arc.o archive.o chgrp.o chmod.o chown.o clock.o color.o copy.o    \
 	  delete.o dirwin.o disp.o edit.o error.o execute.o filespec.o      \
-	  filewin.o freesp.o global.o group.o hex.o history.o init.o lha.o  \
+	  filewin.o freesp.o global.o group.o hex.o history.o init.o input.o keyhtab.o lha.o  \
 	  login.o main.o match.o mkdir.o mktime.o move.o passwd.o pipe.o    \
 	  print.o profile.o quit.o rar.o readtree.o rename.o rmdir.o rpm.o  \
-	  sort.o stat.o system.o tar.o termcap.o usermode.o util.o view.o zip.o zoo.o
+	  sort.o stat.o system.o tar.o termcap.o tilde.o usermode.o util.o view.o xmalloc.o zip.o zoo.o
 
 #
 
@@ -224,6 +247,8 @@
 hex.o: config.h ytree.h hex.c
 history.o: config.h ytree.h history.c
 init.o: config.h ytree.h init.c
+input.o: config.h ytree.h tilde.h xmalloc.h input.c
+keyhtab.o: config.h ytree.h keyhtab.c
 lha.o: config.h ytree.h lha.c
 login.o: config.h ytree.h login.c
 main.o: config.h ytree.h main.c
@@ -246,9 +271,10 @@
 system.o: config.h ytree.h system.c
 tar.o: config.h ytree.h tar.c
 termcap.o: config.h ytree.h termcap.c
+tilde.o: config.h xmalloc.h tilde.h tilde.c
 usermode.o: config.h ytree.h usermode.c
 util.o: config.h ytree.h util.c
 view.o: config.h ytree.h view.c
+xmalloc.o: config.h ytree.h xmalloc.h xmalloc.c
 zip.o: config.h ytree.h zip.c
 zoo.o: config.h ytree.h zoo.c
-
