## ytree 1.82

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 #
-# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.36 2003/08/31 11:11:00 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.40 2004/11/13 21:11:21 werner Exp $
 #
 # Makefile fuer ytree
 #
@@ -25,7 +25,7 @@
 # Uncomment the lines for your system (default is linux)
 
 ###########################
-# LINUX (testet with ncurses 5.2)
+# LINUX (testet with ncurses 5.3)
 # Attention Slackware users: 
 #           Maybe you have to change the MANDIR to $(DESTDIR)/man/man1
 ###########################
@@ -81,6 +81,12 @@
 #LIBS        = -lncurses -lmytinfo -lcompat
 
 ###########################
+# MAC OS X
+###########################
+#CFLAGS      = -DCOLOR_SUPPORT -DNCURSES
+#LIBS        = -lncurses 
+
+###########################
 # DOS/Windows with DJGPP
 ###########################
 #CC          = gcc
@@ -150,7 +156,7 @@
 # Solaris 2
 ###########################
 #CFLAGS     = $(ADD_CFLAGS) -DSVR4
-#LIBS       = -lcurses -lc /usr/ucblib/libucb.a
+#LIBS       = -lcurses 
 
 ###########################
 # SUN
