## ytree 1.86

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 #
-# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.40 2004/11/13 21:11:21 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.45 2005/09/07 18:50:33 werner Exp $
 #
 # Makefile fuer ytree
 #
@@ -25,15 +25,25 @@
 # Uncomment the lines for your system (default is linux)
 
 ###########################
-# LINUX (testet with ncurses 5.3)
+# LINUX (testet with ncurses 5.4)
 # Attention Slackware users: 
 #           Maybe you have to change the MANDIR to $(DESTDIR)/man/man1
 ###########################
 COLOR       = -DCOLOR_SUPPORT 
 #CLOCK	    = -DCLOCK_SUPPORT # Experimental!
 READLINE    = -DREADLINE_SUPPORT
-CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(READLINE)
+CFLAGS      = -D_GNU_SOURCE $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(READLINE)
 LIBS        = -lncurses -lreadline
+
+###########################
+# LINUX with Wide character support (testet with ncurses 5.4)
+# Requires libncursesw!
+###########################
+#COLOR       = -DCOLOR_SUPPORT 
+##CLOCK	    = -DCLOCK_SUPPORT # Experimental!
+#READLINE    = -DREADLINE_SUPPORT
+#CFLAGS      = -D_GNU_SOURCE -DWITH_UTF8 $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(READLINE)
+#LIBS        = -lncursesw -lreadline
 
 ###########################
 # LINUX without libreadline (testet with ncurses 5.2)
