## ytree 1.90

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 ############################################################################
 #
-# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.45 2005/09/07 18:50:33 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.50 2007/06/04 16:59:27 werner Exp $
 #
 # Makefile fuer ytree
 #
 ############################################################################
 
+
 CC          = cc
 
 #
@@ -16,7 +17,6 @@
 
 ADD_CFLAGS  = -O # -DVI_KEYS
 
-LFLAGS	    = 
 BINDIR      = $(DESTDIR)/bin
 MANDIR      = $(DESTDIR)/share/man/man1
 MANESDIR    = $(DESTDIR)/share/man/es/man1
@@ -25,15 +25,15 @@
 # Uncomment the lines for your system (default is linux)
 
 ###########################
-# LINUX (testet with ncurses 5.4)
+# LINUX (testet with ncurses 5.6)
 # Attention Slackware users: 
 #           Maybe you have to change the MANDIR to $(DESTDIR)/man/man1
 ###########################
 COLOR       = -DCOLOR_SUPPORT 
-#CLOCK	    = -DCLOCK_SUPPORT # Experimental!
+CLOCK	    = -DCLOCK_SUPPORT # Experimental!
 READLINE    = -DREADLINE_SUPPORT
 CFLAGS      = -D_GNU_SOURCE $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(READLINE)
-LIBS        = -lncurses -lreadline
+LDFLAGS     = -lncurses -lreadline
 
 ###########################
 # LINUX with Wide character support (testet with ncurses 5.4)
@@ -43,7 +43,7 @@
 ##CLOCK	    = -DCLOCK_SUPPORT # Experimental!
 #READLINE    = -DREADLINE_SUPPORT
 #CFLAGS      = -D_GNU_SOURCE -DWITH_UTF8 $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(READLINE)
-#LIBS        = -lncursesw -lreadline
+#LDFLAGS     = -lncursesw -lreadline
 
 ###########################
 # LINUX without libreadline (testet with ncurses 5.2)
@@ -53,7 +53,7 @@
 #COLOR       = -DCOLOR_SUPPORT 
 #CLOCK	     = -DCLOCK_SUPPORT # Experimental!
 #CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
-#LIBS        = -lncurses
+#LDFLAGS     = -lncurses
 
 ###########################
 # LINUX (X11 using PDCurses) thanks to  Mark Hessling
@@ -62,7 +62,7 @@
 #COLOR       = -DCOLOR_SUPPORT -DXCURSES
 #CLOCK       = -DCLOCK_SUPPORT # Experimental!
 #CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
-#LIBS        = -lXCurses -L/usr/X11R6/lib -lXaw -lXmu -lXt -lX11 -lSM -lICE -lXext
+#LDFLAGS     = -lXCurses -L/usr/X11R6/lib -lXaw -lXmu -lXt -lX11 -lSM -lICE -lXext
 
 ###########################
 # The Hurd (GNU) (testet with ncurses 5.0)
@@ -70,136 +70,134 @@
 #COLOR       = -DCOLOR_SUPPORT
 ##CLOCK      = -DCLOCK_SUPPORT # Experimental!
 #CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
-#LIBS        = -lncurses
-
-###########################
-# OpenBSD 2.9 (not tested on earlier revisions)
+#LDFLAGS     = -lncurses
+
+###########################
+# OpenBSD / NetBSD
 ###########################
 #COLOR       = -DCOLOR_SUPPORT 
-#CLOCK	    = -DCLOCK_SUPPORT # Experimental!
-#CFLAGS      = -Dopenbsd=1 $(ADD_CFLAGS) $(COLOR) $(CLOCK)
-#LIBS        = -lcurses -lcompat
-#MANDIR = /usr/share/man/man1
-#MANESDIR = /nonexistent
-#BINDIR = /usr/local/bin
+##CLOCK	     = -DCLOCK_SUPPORT # Experimental!
+#READLINE    = -DREADLINE_SUPPORT
+#CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
+#LDFLAGS     = -lcurses -lcompat -ledit
+#MANDIR      = /usr/share/man/man1
+#BINDIR      = /usr/local/bin
 
 
 ###########################
 # FreeBSD (Thanks to Peter Brevik)
 ###########################
 #CFLAGS      = -DCOLOR_SUPPORT -DNCURSES
-#LIBS        = -lncurses -lmytinfo -lcompat
+#LDFLAGS     = -lncurses -lmytinfo -lcompat
 
 ###########################
 # MAC OS X
 ###########################
 #CFLAGS      = -DCOLOR_SUPPORT -DNCURSES
-#LIBS        = -lncurses 
+#LDFLAGS     = -lncurses 
 
 ###########################
 # DOS/Windows with DJGPP
 ###########################
 #CC          = gcc
 #CFLAGS      = $(ADD_CFLAGS) -DCOLOR_SUPPORT
-#LIBS        = -lpdc -lpanel
+#LDFLAGS     = -lpdc -lpanel
 
 ###########################
 # NeXT (Thanks to fifi)
 ###########################
 #CFLAGS     = -DTERMCAP $(ADD_CFLAGS)
-#LIBS       = -lcurses -ltermcap
+#LDFLAGS    = -lcurses -ltermcap
 
 ############################
 # UNIX SVR3 (or SCO3.2v4.2)
 ############################
 #CFLAGS     = -DSVR3 $(ADD_CFLAGS)
-#LIBS       = -lcurses -lPW # -lc_s
+#LDFLAGS    = -lcurses -lPW # -lc_s
 
 ############################
 # SCO OpenServer "SCO_SV s90909 3.2 5.0.5 i386" (Thanks to BKS)
 ############################
-#CFLAGS     = -DSVR3 $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(ADD_INCL)
-#LFLAGS     = -L/usr/local/bks-V3_SCO/ncurses-5.0-elf/lib -belf
-#ADD_INCL   = -I/usr/local/bks-V3_SCO/ncurses-5.0-elf/include
+#CFLAGS     = -DSVR3 $(ADD_CFLAGS) $(COLOR) $(CLOCK) -I/usr/local/bks-V3_SCO/ncurses-5.0-elf/include
 #COLOR      = -DCOLOR_SUPPORT
-#LIBS       = -lncurses 
+#LDFLAGS    = -lncurses -L/usr/local/bks-V3_SCO/ncurses-5.0-elf/lib -belf
 
 ###########################
 # Interactive
 ###########################
 #CFLAGS     = -DSVR3 -Disc386 $(ADD_CFLAGS)
-#LIBS       = -lcurses -lPW
+#LDFLAGS    = -lcurses -lPW
 
 ###########################
 # UNIX SVR4
 ###########################
 #CFLAGS     = -DSVR4 $(ADD_CFLAGS)
-#LIBS       = -lcurses -lgen
+#LDFLAGS    = -lcurses -lgen
 
 ###########################
 # OSF1
 ###########################
 #CFLAGS     = -DOSF1 $(ADD_CFLAGS)
-#LIBS       = -lcurses
+#LDFLAGS    = -lcurses
 
 ###########################
 # HPUX
 ###########################
 #CFLAGS     = -Dhpux $(ADD_CFLAGS)
-#LIBS       = -lcurses  -lc -lPW
+#LDFLAGS    = -lcurses  -lc -lPW
 #CC	    = cc -Ae
 
 ###########################
 # HPUX-10.x
 ###########################
 #CFLAGS     = -Dhpux $(ADD_CFLAGS)
-#LIBS       = -lcur_colr  -lc -lPW
+#LDFLAGS    = -lcur_colr  -lc -lPW
 #CC	    = cc -Ae
 
 ###########################
 # SGI IRIX Rel. 5.2
 ###########################
 #CFLAGS     = -Dsgi $(ADD_CFLAGS)
-#LIBS       = -lcurses -lgen
+#LDFLAGS    = -lcurses -lgen
 
 ###########################
 # Solaris 2
 ###########################
 #CFLAGS     = $(ADD_CFLAGS) -DSVR4
-#LIBS       = -lcurses 
+#LDFLAGS    = -lcurses 
 
 ###########################
 # SUN
 ###########################
 #CFLAGS     = $(ADD_CFLAGS)
 #CC	    = acc -Xa -strconst -sys5
-#LIBS       = -lcurses 
+#LDFLAGS    = -lcurses 
 
 ###########################
 # SUN (gcc)
 ###########################
 #CFLAGS     = $(ADD_CFLAGS)
 #CC	    = gcc -I/usr/5include -L/usr/5lib
-#LIBS       = -lcurses 
+#LDFLAGS    = -lcurses 
 
 ###########################
 # SUNOS 5.6 (gcc) Thanks to Fabiano Silos Reis
 ###########################
 #CFLAGS     = $(ADD_CFLAGS) -Dsun56
 #CC	    = gcc -I/usr/include -L/usr/lib
-#LIBS       = -lcurses 
+#LDFLAGS    = -lcurses 
 
 ###########################
 # IBM RS/6000 (Thanks to jum)
 ###########################
 #CFLAGS     = $(ADD_CFLAGS)
-#LIBS       = -lcurses -lPW
+#LDFLAGS    = -lcurses -lPW
 
 ###########################
 # ULTRIX V4.3
 ###########################
 #CFLAGS     = -Dultrix $(ADD_CFLAGS)
-#LIBS       = -lcursesX
+#LDFLAGS    = -lcursesX
 
 ###########################
 # QNX (tested with ncurses 4.2)
@@ -207,7 +205,7 @@
 #COLOR       = -DCOLOR_SUPPORT
 #CLOCK	    = -DCLOCK_SUPPORT # Experimental!
 #CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK) -DHAS_REGCOMP
-#LIBS        = -L/home/mhes/lib -lncurses
+#LDFLAGS     = -L/home/mhes/lib -lncurses
 
 
 ##############################################################################
@@ -224,7 +222,7 @@
 #
 
 $(MAIN):	$(OBJS)
-		$(CC) $(LFLAGS) -o $@ $(OBJS) $(LIBS)
+		$(CC) $(LFLAGS) -o $@ $(OBJS) $(LDFLAGS)
 
 install:	$(MAIN)
 		install $(MAIN) $(BINDIR)
