## ytree 1.93

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 #
-# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.50 2007/06/04 16:59:27 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.51 2008/07/24 17:43:04 werner Exp $
 #
 # Makefile fuer ytree
 #
@@ -100,8 +100,8 @@
 # DOS/Windows with DJGPP
 ###########################
 #CC          = gcc
-#CFLAGS      = $(ADD_CFLAGS) -DCOLOR_SUPPORT
-#LDFLAGS     = -lpdc -lpanel
+#CFLAGS      = $(ADD_CFLAGS) $(COLOR)
+#LDFLAGS     = -lpdcurses -lpanel -lreadline
 
 ###########################
 # NeXT (Thanks to fifi)
