## ytree 1.94

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 ############################################################################
 #
-# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.51 2008/07/24 17:43:04 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.52 2010/02/28 13:11:53 werner Exp $
 #
 # Makefile fuer ytree
 #
 ############################################################################
 
 
-CC          = cc
+CC          ?= cc
 
 #
 # ADD_CFLAGS: Add -DVI_KEYS if you want vi-cursor-keys
@@ -32,8 +32,8 @@
 COLOR       = -DCOLOR_SUPPORT 
 CLOCK	    = -DCLOCK_SUPPORT # Experimental!
 READLINE    = -DREADLINE_SUPPORT
-CFLAGS      = -D_GNU_SOURCE $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(READLINE)
-LDFLAGS     = -lncurses -lreadline
+CFLAGS      += -D_GNU_SOURCE $(COLOR) $(CLOCK) $(READLINE)
+LDFLAGS     += -lncurses -lreadline
 
 ###########################
 # LINUX with Wide character support (testet with ncurses 5.4)
