=== debian/changelog ===
ytree (1.94-2) unstable; urgency=low

  * Acknowledge NMU. 
  * Changed short description in debian/control.
  * Fix to remove timestamps from build systems in debian/rules.
    Closes: #777273.

 -- Kevin Coyner <kcoyner@debian.org>  Sun, 23 Oct 2016 15:52:20 -0400

ytree (1.94-1.1) unstable; urgency=low

  * NMU
  * Specify a path to curses.h to fix FTBFS. Closes: #650600

 -- Steve McIntyre <steve.mcintyre@linaro.org>  Thu, 15 Dec 2011 16:34:49 +0000

ytree (1.94-1) unstable; urgency=low

  * New upstream release. 
  * Updated Standards-Version to 3.8.4. Changed to 3.0 quilt format.
  * Changed reference to ytree-1.9x.lsm file in debian/docs.
  * Updated 01_makefile.diff and 03_manpages.diff in debian/patches.
  * Switch to dpkg-source 3.0 (quilt) format with appropriate changes to
    debian/rules. Removed debian/README.source file. Added
    debian/source/format file.

 -- Kevin Coyner <kcoyner@debian.org>  Wed, 16 Jun 2010 12:55:36 +0000

ytree (1.93-2) unstable; urgency=low

  * Changed Build-Depends to libreadline-dev. Closes: #553885. 
  * Unable to duplicate ytree crashing with a SIGSEGV when enter is pressed.
    Closes: #534378.
  * Added descriptions to existing patches.
  * Small formatting edits to debian/changelog.
  * Grammatical change in long description in debian/control.

 -- Kevin Coyner <kcoyner@debian.org>  Tue, 03 Nov 2009 11:48:04 -0500

ytree (1.93-1) unstable; urgency=low

  * New upstream release. 
  * debian/control:
    + Updated Standards-Version to 3.8.3.
    + Bumped debhelper to version 7.4~.
    + Added ${misc:Depends}.
  * Added debian/README.source.
  * Bumped debian/compat to 7 from 5.
  * Updated debian/docs to reflect new file ytree-1.93.lsm.
  * Cleaned up debian/rules to reflect debhelper version 7.

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 24 Oct 2009 21:56:27 -0400

ytree (1.92-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 3.8.0.
    + Cleaned up long description.
  * Modified README.Debian.
  * Updated watchfile to version 3 and removed cruft.
  * Updated debian/docs list for current version.

 -- Kevin Coyner <kcoyner@debian.org>  Sun, 05 Oct 2008 18:49:18 -0400

ytree (1.90-2) unstable; urgency=low

  * New maintainer. Closes: #474975.
  * Added homepage to debian/control.

 -- Kevin Coyner <kcoyner@debian.org>  Wed, 09 Apr 2008 22:13:05 -0400

ytree (1.90-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>
  * New upstream release.
  * Improve debian/copyright file.
  * Clean debian/rules.
  * Add quilt patch system.
    + Move old source changes to patches.
    + 01_makefile.diff - Update paths and enable wide readline support.
    + 02_profile.diff - Run mailcap on USERVIEW.
    + 03_manpages - Fix typos, hyphens, and manpage section.

 -- Barry deFreese <bddebian@comcast.net>  Tue, 08 Apr 2008 13:58:28 -0400

ytree (1.86-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix double-build FTBFS by removing “*.gz ytree” through the dh_clean
    call in the clean target, workaround needed because of the
    insufficient upstream Makefile. Closes: #442776.
  * Bump debhelper compatibility from 1 to 5 (!):
     - Move it from debian/rules to debian/compat.
     - Bump the B-D on debhelper.
     - Use debian/ytree/usr instead of debian/tmp/usr in the “make
       install” call.
  * No longer ignore “make clean” errors (only remove the leading dash).
  * Bump Standards-Version from 3.6.1 to 3.7.3, no changes needed.
  * Menu transition, from “Apps/Tools” to “Applications/File Management”.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Wed, 27 Feb 2008 05:05:24 +0100

ytree (1.86-1) unstable; urgency=low

  * New upstream release.

 -- Carlos Barros <cbf@debian.org>  Wed, 10 May 2006 20:07:51 +0200

ytree (1.82-1) unstable; urgency=low

  * Closes: #99152:  hurd-i386 maintainers please, update this package.
  * Closes: #200429: It is fixed  this security breach.
  * Closes: #263773: this is the new upstream version.

 -- Carlos Barros <cbf@debian.org>  Sun, 28 Nov 2004 19:07:51 +0100

ytree (1.80-1) unstable; urgency=low

  * New upstream release.
  * Change COMPAT version. Closes: Bug#260555.

 -- Carlos Barros <cbf@debian.org>  Tue, 21 Oct 2003 13:16:38 +0000

ytree (1.79-2) unstable; urgency=low

  * Add build-depends on libreadline4-dev. Closes: Bug#216815.

 -- Carlos Barros <cbf@debian.org>  Tue, 21 Oct 2003 13:16:38 +0000

ytree (1.79-1) unstable; urgency=low

  * New upstream version. Closes: Bug#216752.
  * Include some sort of hex editor.
  * Now the license change to GPLv2.

 -- Carlos Barros <cbf@debian.org>  Tue,  3 Jul 2001 20:57:31 -0300

ytree (1.75-1) unstable; urgency=low

  * New upstream version.
  * Include internal hex viewer.

 -- Carlos Barros <cbf@debian.org>  Tue,  3 Jul 2001 20:57:31 -0300

ytree (1.74-2) unstable; urgency=low

  * I did close the wrong bug, now it close the right one. Closes: Bug#99152.

 -- Carlos Barros <cbf@debian.org>  Tue,  3 Jul 2001 20:57:31 -0300

ytree (1.74-1) unstable; urgency=low

  * New upstream source.
  * It has the patch from #99154. Closes: Bug#99154.

 -- Carlos Barros <cbf@debian.org>  Thu, 14 Jun 2001 22:37:51 -0300

ytree (1.72-1) unstable; urgency=low

  * New upstream source
  * Added Show All Tagged

 -- Carlos Barros <cbf@debian.org>  Tue, 13 Mar 2001 22:00:26 -0300

ytree (1.71-1) unstable; urgency=low

  * New upstream source

 -- Carlos Barros <cbf@debian.org>  Tue, 19 Dec 2000 23:15:17 +0000

ytree (1.65-6) frozen unstable; urgency=low

  * Upload to unstable instead of woody.

 -- Carlos Barros <cbf@debian.org>  Tue, 19 Dec 2000 23:14:29 +0000

ytree (1.65-5) frozen woody; urgency=low

  * A better Description, closes #57302
  * upload also to woody.

 -- Carlos Barros <cbf@debian.org>  Thu, 10 Feb 2000 11:04:03 -0300

ytree (1.65-4) frozen; urgency=low

  * rebuild with correct date.


