=== debian/control ===
Source: ytree
Section: utils
Priority: optional
Maintainer: Kevin Coyner <kcoyner@debian.org>
Build-Depends: debhelper (>= 7.4~), quilt (>= 0.46-7~), libncursesw5-dev, libreadline-dev
Standards-Version: 3.8.4
Homepage: http://www.han.de/~werner/ytree.html

Package: ytree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mime-support
Description: File manager for terminals
 This is a file manager that separates files from directories and allows you to
 select and manage files from different directories.  It works on black and
 white or color terminals and is UTF-8 locales aware.
