## ytree 1.99pl1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 #
-# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.52 2010/02/28 13:11:53 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.54 2012/09/11 16:40:02 werner Exp $
 #
 # Makefile fuer ytree
 #
@@ -30,9 +30,9 @@
 #           Maybe you have to change the MANDIR to $(DESTDIR)/man/man1
 ###########################
 COLOR       = -DCOLOR_SUPPORT 
-CLOCK	    = -DCLOCK_SUPPORT # Experimental!
+#CLOCK	    = -DCLOCK_SUPPORT # Experimental!
 READLINE    = -DREADLINE_SUPPORT
-CFLAGS      += -D_GNU_SOURCE $(COLOR) $(CLOCK) $(READLINE)
+CFLAGS      += -D_GNU_SOURCE $(COLOR) $(CLOCK) $(READLINE) $(ADD_CFLAGS)
 LDFLAGS     += -lncurses -lreadline
 
 ###########################
@@ -88,7 +88,7 @@
 # FreeBSD (Thanks to Peter Brevik)
 ###########################
 #CFLAGS      = -DCOLOR_SUPPORT -DNCURSES
-#LDFLAGS     = -lncurses -lmytinfo -lcompat
+#LDFLAGS     = -lncurses -lcompat
 
 ###########################
 # MAC OS X
