=== debian/changelog ===
ytree (1.99pl1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Sven Joachim to fix FTBFS with newer ncurses.
    (Closes: #995480)

 -- Adrian Bunk <bunk@debian.org>  Wed, 08 Feb 2023 10:57:10 +0200

ytree (1.99pl1-2) unstable; urgency=medium

  * Upload to unstable.

 -- William Grzybowski <william@grzy.org>  Sun, 07 Jul 2019 12:24:40 -0300

ytree (1.99pl1-1) experimental; urgency=medium

  * New upstream release (Closes: #687787, #689024).
  * New maintainer. (Closes: #929555)
  * Add auto pkg test.
  * Add clean file.
  * Add yml for Salsa CI.
  * Add upstream metadata file.
  * debian/changelog: remove trailing spaces.
  * debian/compat: remove file, no longer used in debhelper 12.
  * debian/control:
     - Add VCS links.
     - Adjust Description to equalize line size.
     - Remove quilt build dependency, no longer necessary.
     - Update Standards-Version to 4.3.0.
     - Use debhelper-compat (12).
  * debian/copyright:
     - Add and update all debian maintainers.
     - Add license for mktime.c.
     - Add license for tilde.c, tilde.h, xmalloc.c and xmalloc.h.
     - Update copyright years for upstream maintainer.
     - Update to format 1.0.
  * debian/dirs: remove useless doc entry.
  * debian/docs: update to catch up upstream version in filename.
  * debian/patches:
     - 03_manpages.diff: fix typo in ytree.1 manpage.
     - Add headers to all patches.
     - Update 01_makefile.diff and 02_profile.diff with last upstream version.
  * debian/README.Debian: add header.
  * debian/rules:
     - Add hardening support.
     - Simplify and modernize.

 -- William Grzybowski <william@grzy.org>  Wed, 03 Jul 2019 09:32:40 -0300
