=== debian/control ===
Source: ytree
Section: utils
Priority: optional
Maintainer: William Grzybowski <william@grzy.org>
Build-Depends: debhelper-compat (= 12), libncursesw5-dev, libreadline-dev
Standards-Version: 4.3.0
Homepage: http://www.han.de/~werner/ytree.html
Vcs-Browser: https://salsa.debian.org/wg-guest/ytree
Vcs-Git: https://salsa.debian.org/wg-guest/ytree.git

Package: ytree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mime-support
Description: File manager for terminals
 This is a file manager that separates files from directories and allows
 you to select and manage files from different directories. It works
 on black and white or color terminals and is UTF-8 locales aware.
