=== debian/tests/control ===
Test-Command: ytree --invalid | grep -q Usage:
